<h1>{{usr.user.firstName}} {{usr.user.lastName}}</h1>

<div layout="row" layout-sm="column">

	<div id="update-user-form" flex>
	  <h2>Profile</h2>
		<div layout="column" flex>
			<md-input-container>
			  <label>First Name</label>
			  <input ng-model="usr.user.firstName">
			</md-input-container>
			<md-input-container>
			  <label>Last Name</label>
			  <input ng-model="usr.user.lastName">
			</md-input-container>
			<md-input-container>
			  <label>Github ID</label>
			  <input ng-model="usr.user.gitHubId">
			</md-input-container>
			<md-input-container>
			  <label>Email</label>
			  <input ng-model="usr.user.email">
			</md-input-container>
		</div>
	  <md-button class="md-button md-primary md-raised" ng-click="usr.updateUser()">Update User</md-button>
	  <md-button class="md-button md-warn md-raised" ng-click="usr.deleteUser()">Delete User</md-button>
	</div>

	<div ng-if="usr.userRepos.length" id="github-repos-table" flex>
		<h2>GitHub Repos</h2>

		<div layout="row" layout-sm="column" class="zebra-table">
		  <div flex="25"><strong>Name</strong></div>
		  <div flex="25"><strong>Description</strong></div>
		  <div flex="15"><strong>URL</strong></div>
		  <div flex="35"><strong>Homepage</strong></div>
		</div>
		<div ng-repeat="repo in usr.userRepos" layout="row" layout-sm="column" class="zebra-table">
		  <div flex="25"><strong>{{repo.name}}</strong></div>
		  <div flex="25">{{repo.description || 'N/A'}}</div>
		  <div flex="15"><a href="{{repo.url}}">Go...</a></div>
		  <div flex="35"><a href="{{repo.homepage}}">{{repo.homepage}}</a></div>
		</div>
	</div>

	<div ng-if="!usr.userRepos.length" id="github-repos-table" flex>
	  <h2>No Github Repos found</h2>
	</div>
</div>
